s9_level_hints.levels["Level 8"] = function()
	return
	{
		miniscenes
		({
			level08_miniscene_barrel = 
			{
				miniscene("Barrel_small")
			},
			level08_miniscene_door = 
			{
				IF(state("Grating","grating02"), 
				{
					miniscene("door01"),
					miniscene("pedestal01"),
					miniscene("pedestal02"),
					miniscene("sphere"),
					miniscene("apple"),
				})
			},
			level08_miniscene_hatch = 
			{
				miniscene("area_hatch"),
				miniscene("grating")
			},
			level08_miniscene_lock02 = 
			{
				miniscene("lock02")
			},
		}),
		
		-- поднимаем уровень воды
		take("Hose01"),
		take("Duster"),
		on_scene("level08_miniscene_barrel",
		{
			IF(state("Cover","cover01"), click("Cover")),
			click("Gimlet", "Duster"),
		}),
		click("Stopper", "Gimlet"),
		IF(state("Stopper","stopper02"), click("Barrel_big", "Hose01")),
		
		-- сооружаем багор
		take("Stick"),
		take("Hook"),
		take("Brick"),
		click("Large_bottle", "Brick"),
		IF(state("Large_bottle","large_bottle02"), take("Splinter_bottle", "Large_bottle")),
		click("Rope", "Splinter_bottle"),
		
		-- открываем решетку
		on_scene("level08_miniscene_hatch",
			IF(state("Key","key02"), click("Key", "Stick_with_hook"))),
		on_scene("level08_miniscene_lock02", click("area_lock02", "Key")),
		
		-- поджигаем бумажки
		take("Paper12"),
		take("Paper02"),
		take("Paper04"),
		take("Paper07"),
		take("Paper11"),
		take("Paper13"),
		take("Paper01"),
		take("Paper05"),
		take("Paper10"),
		take("Paper03"),
		IF(on_level("Paper06"), 
		{
			IF(state("Dish","dish01"), click("Dish")),
			take("Paper06"),
		}),
		take("Paper09"),
		take("Paper08"),
		take("Paper14"),
		on_scene("level08_miniscene_door", take("Paper15")),
		IF(state_in_inv("Paper_inv", "paper_inv15"), click("Censer", "Paper_inv")),
		on_scene("level08_miniscene_door", take("Lighter")),
		IF(removed("Paper_inv"), click("Censer", "Lighter")),
		
		-- открываем потайную дверь
		on_scene("level08_miniscene_door", take("Apple")),
		click("bas_relief_hole", "Apple"),
		IF(NOT(on_level("paper00")),
		{
			IF(state("Symbol01", "off"), click("Symbol01")),
			IF(state("Symbol02", "off"), click("Symbol02")),
			IF(state("Symbol03", "off"), click("Symbol03")),
			IF(state("Symbol04", "off"), click("Symbol04")),
			IF(state("Symbol05", "off"), click("Symbol05")),
		})
	}	
end
